/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  EdgeEnemiesOptions							//
//  ------------------							//
//									//
//  Specific options in the 'Enemies' dialogue for the EDGE engine.	//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __EDGEENEMIESOPTIONS_H
#define __EDGEENEMIESOPTIONS_H

#include "enemiesoptions.h"

class QCheckBox;

class EdgeEnemiesOptions : public EnemiesOptions
{
	Q_OBJECT

public:
	EdgeEnemiesOptions(QWidget *parent,EnemiesOptions::Option opt = EnemiesOptions::Null);
	EnemiesOptions::Option options() const;

protected slots:
	void slotToggledMonsters(bool);

protected:
	QCheckBox *infighting;
	QCheckBox *moreblood;
};

#endif							// EDGEENEMIESOPTIONS_H
